Le Galaxy Store abrite deux failles critiques, installez vite la mise à jour

0 5 156

Avis aux utilisateurs du Galaxy Store sur les smartphones Samsung Galaxy, il est fortement recommandé d’installer la dernière mise à jour de la boutique d’applications du constructeur. En effet, des chercheurs en sécurité informatique ont découvert deux failles de sécurité critiques dans l’appli. Explications.

Si vous utilisez régulièrement le Galaxy Store, la boutique en ligne préinstallée sur tous les smartphones Samsung, il est fortement recommandé d’installer la dernière mise à jour de l’application. En effet, des chercheurs en sécurité informatique de la société spécialisée NCC Group ont découvert deux failles de sécurité critiques au sein du Galaxy Store.

LE GALAXY STORE ABRITE DEUX FAILLES DE SÉCURITÉ CRITIQUES

Identifiée sous le numéro CVE-2023-21433, la première vulnérabilité permet à des attaquants locaux d’installer des applications de la boutique sur votre smartphone, le tout à votre insu bien évidemment. Il est précisé qu’une application malveillante préinstallée sur votre appareil peut être utilisée pour exploiter cette faille.

Quant à la seconde, enregistrée sous le numéro CVE-2023-21434, voici ce qu’elle permet une fois exploitée : “une validation incorrecte des entrées pourrait permettre à des attaquants locaux d’exécuter JavaScript en lançant une page Web”. 

Galaxy Store: The new all-in-one platform for your digital Galaxy needs -  SamMobile

D’après les experts de NCC Group, cette vulnérabilité a été causée par une WebView mal configurée dans le Galaxy Store. Pour rappel, le Android System WebView est l’appli officielle de Google qui permet d’ouvrir un navigateur web au sein d’une application. De manière concrète, un attaquant peut contourner les restrictions habituelles de la WebView du Galaxy Store et de mettre en place une redirection vers un domaine contrôlé par ses soins.

Les attaquants ont pu contourner le filtre URL de Samsung en faisant en sorte que les victimes appuient sur un lien hypertexte malveillant dans Google Chrome ou par le biais d’une application malveillante préinstallée sur leur appareil Galaxy. Ils peuvent ensuite exécuter JavaScript en lançant une page Web”, explique le NCC Group.

SAMSUNG A RAPIDEMENT CORRIGÉ LE PROBLÈME

Les chercheurs ont mis en lumière ces vulnérabilités dans le Galaxy Store entre le 23 novembre et le 3 décembre 2022. Pour l’instant, NCC Group a confirmé que les versions 4.5.44.1 et 4.5.48.3 de l’appli étaient touchées. Toutefois, il souligne que d’autres versions peuvent être concernées. Samsung a été informé du problème, et fort heureusement la firme a corrigé ces vulnérabilités dans les deux semaines suivant la transmission du rapport de NCC Group en déployant la MAJ 4.5.49.8 pour le Galaxy Store.

Dernière précision, les chercheurs confirment que les nouvelles mesures de sécurité introduites sur Android 13 empêchent l’exploitation de la 1er faille. Toutefois, ce n’est pas le cas de la seconde. D’où la nécessité absolue de télécharger la dernière mise à jour du Galaxy Store. Pour rappel, en décembre 2021, le Galaxy Store a été pointé du doigt pour proposer des applis dangereuses en téléchargement.

Cliquez pour noter ce post!
[Total: 0 Average: 0]
Comments
Chargement...